# -*- encoding: utf-8 -*-

import requests
import os
import sys
import json
os.chdir(sys.path[0])

def sciengine_api(text_list,api_name,token):
    url='http://sciengine.las.ac.cn/'+api_name
   
    if api_name=='title_generation_cn':
        data = {"data":text_list,"token":token,"length":0}
        response = requests.post(url=url, data=data)
        code = response.status_code
    elif api_name=="move_recognition_scores_cn" or api_name=="move_recognition_scores" :
        data = {"abstract": text_list[0], "token":token}
        response = requests.post(url=url, data=data)
        code = response.status_code
    elif api_name=="question_phrase_en":
        data = {"data": text_list, "token": token}
        response = requests.post(url=url, json=data)
        code = response.status_code
    else:
        data = {"data":text_list,"token":token}
        response = requests.post(url=url, data=data)
        code = response.status_code
    
    if code != 200:
        print("API访问出错，错误信息如下：")
        print("response code: ",code)
        print(response.text)
    else:
        if api_name in ['api_ner_sci_cn','api_ner_med_cn','api_relation_sci_cn']:
            result = json.loads(response.text)
        elif api_name in ['question_recognition_en','deffinition_recognition_en', 'deffinition_recognition_en_v2']:
            result = eval(response.text.replace("'",'"'))
        else:
            result = eval(response.text)
    return result
                





    